---
updatedAt: 2026-05-28T05:27:12.000Z
agentTools:
  projectIndex: https://developers.smartrecruiters.com/llms.txt
---

# Update a candidate's status

Update a candidate's status

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1",
    "title": "Candidates API",
    "contact": {
      "name": "SmartRecruiters",
      "url": "https://developers.smartrecruiters.com"
    }
  },
  "tags": [
    {
      "name": "candidates"
    }
  ],
  "paths": {
    "/candidates/{id}/jobs/{jobId}/status": {
      "parameters": [
        {
          "$ref": "#/components/parameters/candidateId"
        },
        {
          "$ref": "#/components/parameters/jobId"
        }
      ],
      "put": {
        "responses": {
          "204": {
            "description": ""
          },
          "400": {
            "description": "with codes\n* **NO_REASON_SUPPORT_FOR_STATUS** when reason is not available for given status (availably only for REJECTED and WITHDRAWN)\n* **REASON_NOT_FOUND** when given reason does not exist\n* **REQUIRED_SUB_STATUS_OMITTED** when there is a required sub status before the status you want to move a candidate to\n",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Candidate access denied",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "with codes\n* **PERMISSION_DENIED** when you are not permitted to update candidate's status\n",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Candidate is not assigned to given job",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        },
        "description": "Update a candidate's status",
        "tags": [
          "candidates"
        ],
        "summary": "Update a candidate's status",
        "operationId": "candidates.status.update",
        "security": [
          {
            "key": []
          },
          {
            "oauth": [
              "candidates_manage"
            ]
          }
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/CandidateStatus"
        }
      }
    }
  },
  "components": {
    "requestBodies": {
      "CandidateStatus": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/CandidateStatus"
            }
          }
        },
        "description": "Candidate Status to be set"
      }
    },
    "securitySchemes": {
      "key": {
        "type": "apiKey",
        "in": "header",
        "name": "x-smarttoken"
      },
      "oauth": {
        "type": "oauth2",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://www.smartrecruiters.com/identity/oauth/allow",
            "tokenUrl": "https://api.smartrecruiters.com/identity/oauth/token",
            "scopes": {
              "candidates_read": "Access Candidates",
              "candidates_create": "Create Candidates",
              "candidates_offers_read": "Access Offer Terms",
              "candidates_manage": "Manage Candidate Status and Properties",
              "candidate_status_read": "Access Candidate's status",
              "candidates_parse_resume": "Access Resume Parsing"
            }
          }
        }
      }
    },
    "schemas": {
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string"
          },
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "Error": {
        "type": "object",
        "required": [
          "code"
        ],
        "properties": {
          "code": {
            "type": "string"
          },
          "message": {
            "type": "string"
          }
        }
      },
      "CandidateStatusEnum": {
        "type": "string",
        "enum": [
          "LEAD",
          "NEW",
          "IN_REVIEW",
          "INTERVIEW",
          "OFFERED",
          "HIRED",
          "REJECTED",
          "WITHDRAWN",
          "TRANSFERRED"
        ]
      },
      "CandidateStatus": {
        "type": "object",
        "required": [
          "status"
        ],
        "properties": {
          "status": {
            "$ref": "#/components/schemas/CandidateStatusEnum"
          },
          "subStatus": {
            "type": "string"
          },
          "startsOn": {
            "type": "string",
            "format": "date-time"
          },
          "reason": {
            "type": "string",
            "description": "id of rejection (GET /configuration/rejection-reasons) or withdrawal (GET /configuration/withdrawal-reasons) reason."
          }
        }
      }
    },
    "parameters": {
      "candidateId": {
        "in": "path",
        "description": "candidate identifier",
        "name": "id",
        "required": true,
        "schema": {
          "type": "string"
        }
      },
      "jobId": {
        "in": "path",
        "description": "job identifier",
        "name": "jobId",
        "required": true,
        "schema": {
          "type": "string"
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.smartrecruiters.com"
    }
  ]
}
```